Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 663103 - Luci should mitigate the problem with Firefox not displaying anything due to self-closed "script" tags as generated by Genshi 0.6
Summary: Luci should mitigate the problem with Firefox not displaying anything due to ...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: luci
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 17:35 UTC by Jan Pokorný [poki]
Modified: 2013-08-15 18:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 18:04:09 UTC
Type: ---


Attachments (Terms of Use)
Try to get IE working with Genshi 0.6 (891 bytes, patch)
2010-12-15 13:30 UTC, Jan Pokorný [poki]
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 663117 0 high CLOSED genshi 0.6 generates <script> tags that are not parsed correctly by firefox 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 663404 0 medium CLOSED Luci does not generate 100% well-formed code which showed up with Firefox forced to use strict parser (via application/x... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 729730 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 663117 663404 729730

Description Jan Pokorný [poki] 2010-12-14 17:35:32 UTC
Description of problem:
As tested, Firefox will display only empty background for luci that uses currently rawhide-specific new version of Genshi (v0.6 vs 0.5 line on F13 and F14). Thus, this should be fixed in backward-compatible manner.

As found out, this could be addressed by forcing luci to be served with 'application/xhtml+xml' content type. Please note, that this may cause troubles to the outdated and not standards-conforming web browsers (i.e. some older versions of MSIE). This impact should not be significant, though.

Comment 1 Jan Pokorný [poki] 2010-12-14 17:40:24 UTC
Explaination of the problem in detail:

The new version of Genshi tries to everything "compressable" (e.g. <script ...></script>) turn into self-closed tags (i.e. <script ... />). Because luci is by default served with "text/html" content type, internally another parser is used (than in "application/xhtml+xml" case), which causes denying the self-closed "script" tags.

Comment 2 Jan Pokorný [poki] 2010-12-14 17:45:19 UTC
Commit http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=c809e1b069180f6d42526ad0a9adf331b700fb19 might fix the issue.

Comment 3 Jan Pokorný [poki] 2010-12-14 18:39:50 UTC
Commit http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=83cec8410c4ecf61b72e07a483c5efa4f0106b2c might fix the issue. Successfully tested with Genshi 0.5.1 and Firefox, but other cases, especially including Genshi 0.6 might still be problematic with some browsers.

Comment 4 Fabio Massimo Di Nitto 2010-12-15 10:30:17 UTC
I tested the 2 fixes in rawhide and it works with firefox.

IE8 works without those patches, but it breaks with them.

So we have a regression either with FF or with IE8.

Comment 5 Fabio Massimo Di Nitto 2010-12-15 10:35:07 UTC
(In reply to comment #4)
> I tested the 2 fixes in rawhide and it works with firefox.
> 
> IE8 works without those patches, but it breaks with them.
> 
> So we have a regression either with FF or with IE8.

sorry to be a bit more specific here..

apply the patches and FF works in rawhide/f13/f14 just fine.

apply the patches and IE8 breaks everywhere. First we get the notification of the self-signed certificate, click accept to move on and IE8 complains it can access the URL.

Comment 6 Jan Pokorný [poki] 2010-12-15 13:30:23 UTC
Created attachment 468854 [details]
Try to get IE working with Genshi 0.6

(In reply to comment #5)
Please, could you try this on top of upsteam?
(in fact, "application/xml" content type was additional only and can
be omitted)

Comment 8 Jan Pokorný [poki] 2011-08-11 16:44:31 UTC
An attempt to bring satisfactory solution to this ongoing issue has been made with http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=9a132da

Comment 9 Jan Pokorný [poki] 2011-08-12 15:33:33 UTC
Side note: If there is enough up-to-date TurboGears2 version on Fedora
(or all supported platforms if we talk about upstream specifically)
—refer to bug #663117—the "rewrite content type" workaround may be
dropped completely.

Comment 10 Jan Pokorný [poki] 2011-08-15 15:40:56 UTC
Commit http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=4c5d13e5 should definitely fix problems related to TurboGears < 2.1.1 + Genshi >= 0.6 internal misconfiguration issue (Genshi not being instructed to generate XHTML if rendering method not explicitly set in the project, XML is used instead, see https://bugzilla.redhat.com/show_bug.cgi?id=663117#c6).

This new attitude to the issue makes comment #2 through comment #8 obsolete, and with comment #9 substitute "rewrite content type" for "force genshi to generate xhtml".

Comment 11 Jan Pokorný [poki] 2012-03-12 19:03:51 UTC
Fix will be in upcoming release.

Comment 12 Fedora End Of Life 2013-04-03 20:21:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 13 Jan Pokorný [poki] 2013-08-15 18:04:09 UTC
Luci is not maintained in Fedora anymore (for some time already).
Git contains the necessary fix, if needed.


Note You need to log in before you can comment on or make changes to this bug.